#include "stdafx.h"
#include "SoccerAgent.h"

CSoccerAgent::CSoccerAgent(CWinThread* pDefThread, CCoordinator* pCoordinator) :
    CEventRecipient(pDefThread, pCoordinator)
{
    RegisterEvent(ET__DELIBERATE);
    // +eventy od vizualizatora
}

CSoccerAgent::~CSoccerAgent()
{
    UnregisterEvent(ET__DELIBERATE);
}

void CSoccerAgent::OnEvent(CBasicEvent *pEvent)
{
    TRACE("OnEvent: %d\n", pEvent->m_eEventType);

    switch (pEvent->m_eEventType)
    {
    case ET__DELIBERATE:
        CGameCommandSeq *pActCommands;
        
        pActCommands = new CGameCommandSeq;
        m_cLocalAgent.Deliberate(((CDeliberateEvent*) pEvent)->m_pPerceptionSeq, pActCommands);
        PostEvent(new CActEvent(pActCommands));
        break;
    }

    pEvent->Release();
}
